1. Transactions
PIK
  • Start
    • Getting Started
  • Authentication
    • Authentication Token
      POST
  • Global Account
    • Contacts
      • Create Contact
      • List Contacts
      • Get Contact
      • Count Contacts
    • Virtual Accounts
      • Create Virtual Account
      • List Virtual Accounts
      • Get Virtual Account
    • Transactions
      • List Transactions
      • Get Transaction
    • Account Balance
      • List Account Balances
      • Get Balance by Currency
    • Payout
      • Create Payout
    • Webhooks
      • Unified Webhook Entry
      • Virtual Account Webhook
      • Deposit Webhook
      • Payout Status Webhook
  • Payment Links
    • Payment Links
      • Create Payment Link
      • Update Payment Link
      • Get Payment Link Detail
      • Get Payment Link List
    • Transactions
      • Get Transaction List
        GET
  • Webhook
    • Global Account
      • Deposit Webhook
      • Payout Webhook
      • Virtual Account Webhook
    • Payment Links
      • Overview
      • Order Collect Out Webhook
      • Customer Payment Webhook
      • Customer Refund Webhook
      • Master Recharge Webhook
      • Web3 Direct Payment Webhook
      • Withdraw Out Webhook
  1. Transactions

Get Transaction List

GET
/api/v3/transactions/list
Query transaction records with pagination for the current account

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Query Params

Responses

🟢200
application/json
Query Successful
Bodyapplication/json

🟠401
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/v3/transactions/list?pageNum=undefined&pageSize=undefined&chain=undefined&tokenSymbol=undefined&direction=undefined&status=undefined&eventType=undefined' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - 成功示例
{
    "total": 100,
    "rows": [
        {
            "fundEventCode": "FE20260203120000001",
            "paymentLinkName": "Product Payment Link",
            "businessRefType": "PAYMENT_LINK",
            "businessRefId": 12345,
            "chain": "Ethereum",
            "tokenSymbol": "USDT",
            "tokenAddress": "0xdAC17F958D2ee523a2206206994597C13D831ec7",
            "txHash": "0x1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef",
            "fromAddress": "0x1234567890abcdef1234567890abcdef12345678",
            "toAddress": "0xabcdef1234567890abcdef1234567890abcdef12",
            "amount": 100,
            "direction": "IN",
            "eventType": "PAYMENT_RECEIVED",
            "status": "COMPLETED",
            "createTimeUtc": "2026-02-03 12:00:00",
            "updateTimeUtc": "2026-02-03 12:00:05"
        }
    ],
    "code": 200,
    "msg": "Query successful"
}
Modified at 2026-05-27 09:48:31
Previous
Get Payment Link List
Next
Webhook
Built with